Bio::Map::CytoMap(3)

NAME
Bio::Map::CytoMap - A Bio::MapI compliant map implementation handling cytogenic bands

SYNOPSIS
    use Bio::Map::CytoMap;
    my $map = Bio::Map::CytoMap->new(-name => 'human1',
                                      -species => $human);
    foreach my $marker ( @markers ) { # get a list of markers somewhere
        $map->add_element($marker);
    }

DESCRIPTION
This is the simple implementation of cytogenetic maps based on Bio::Map::MapI. It handles the essential storage of name, species, type, and units as well as in memory representation of the elements of a map.

For CytoMaps type is hard coded to be 'cytogeneticmap' and units are set to '' but can be set to something else.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Heikki Lehvaslaiho
Email heikki-at-bioperl-dot-org

CONTRIBUTORS
Jason Stajich jason@bioperl.org Lincoln Stein lstein@cshl.org Sendu Bala bix@sendu.me.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Map::CytoMap->new();
 Function: Builds a new Bio::Map::CytoMap object
 Returns : Bio::Map::CytoMap
 Args    : -name    => name of map (string)
           -species => species for this map (Bio::Species) [optional]
           -elements=> elements to initialize with
                       (arrayref of Bio::Map::MappableI objects) [optional]

           -uid     => Unique Id

  type
 Title   : type
 Usage   : my $type = $map->type
 Function: Get hard-coded Map type
 Returns : String coding Map type (always 'cyto')
 Args    : none

  length
 Title   : length
 Usage   : my $length = $map->length();
 Function: Retrieves the length of the map,
 Returns : 0 since length is not calculatable for cytogenetic maps
 Args    : none